# $Revision: 1.16 $, $Date: 2010/10/23 13:24:50 $
#
%include	/usr/lib/rpm/macros.mono
#
Summary:	.NET language bindings for Galago
Summary(pl.UTF-8):	Wiązania Galago dla .NET
Name:		dotnet-galago-sharp
Version:	0.5.0
Release:	3
License:	GPL
Group:		Development/Libraries
Source0:	http://www.galago-project.org/files/releases/source/galago-sharp/galago-sharp-%{version}.tar.gz
# Source0-md5:	87fb532cfe2085f81fe824c17f8836eb
Source1:	galago-api.xml
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-pkgconfig.patch
Patch2:		%{name}-destdir.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	dotnet-gtk-sharp2-devel
BuildRequires:	libgalago-devel >= 0.5.0
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	pkgconfig
ExclusiveArch:	%{ix86} %{x8664} alpha arm hppa ia64 mips ppc s390 s390x sparc sparcv9
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides bindings for .NET to Galago libraries.

%description -l pl.UTF-8
Pakiet ten dostarcza wiązania dla .NET do bibliotek z Galago.

%package devel
Summary:	Development part of galago-sharp
Summary(pl.UTF-8):	Programistyczna część galago-sharp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libgalago-devel >= 0.5.0

%description devel
Tools for developing applications using galago-sharp.

%description devel -l pl.UTF-8
Narzędzia potrzebne przy tworzeniu aplikacji korzystających z
galago-sharp.

%prep
%setup -qn galago-sharp-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

cp %{SOURCE1} galago

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_prefix}/lib/mono/gac/galago-sharp

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/galago-sharp
%{_datadir}/gapi-2.0/*
%{_pkgconfigdir}/*.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-galago-sharp.spec,v $
Revision 1.16  2010/10/23 13:24:50  megabajt
- release 3

Revision 1.15  2009/11/27 02:02:12  sparky
- BR: dotnet-gtk-sharp2-devel

Revision 1.14  2008/07/27 22:25:07  arekm
- release 2

Revision 1.13  2008-04-05 19:39:22  qboosh
- support sparcv9 subarch

Revision 1.12  2008-04-04 01:15:19  tommat
- EA for archs where mono is supported

Revision 1.11  2007-02-17 13:30:00  qboosh
- mono is supported on alpha now

Revision 1.10  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.8  2006/08/12 22:00:44  freetz
- updated EA list

Revision 1.7  2006/08/12 21:52:55  freetz
- 0.5.0, added galago-api.xml to build this crap, updated deps

Revision 1.6  2006/08/04 20:20:43  freetz
- EA added

Revision 1.5  2006/06/27 19:53:37  freetz
- use gapi-2.0, rel.2

Revision 1.4  2006/03/14 21:22:15  deejay1
- added BR: dotnet-dbus-sharp-devel

Revision 1.3  2006/03/09 18:19:16  qboosh
- -devel desc fix, removed non-existing -static package

Revision 1.2  2006/03/07 23:35:39  ankry
- tabs

Revision 1.1  2006/03/07 17:45:52  freetz
- initial
